/*===========================================================================

   SPW Config Dialog

	$ Version 3.0  15/10/97  18:12:24 $

   Copyright 1994 by Marco Savegnago.  All rights reserved.
   This software may be freely distributed and used, but it may not
   under any circumstances be sold by anyone other than the author.
   It may be distributed by a commercial company as long as it is
	for no cost.

===========================================================================*/
#include "confdlg.h"
#include "spw.h"
#include "help/help.h"		//	for the HelpID
#include <owl\validate.h>

#include "spw.rh"
#include <bwcc.h>				//	for IDHELP def!

DEFINE_RESPONSE_TABLE1(TConfigDialog, 	TDialog)
	EV_BN_CLICKED	(IDHELP,					OnHelp),
	EV_COMMAND		(IDC_CHECKHOTKEY,    HandleHotkeyCB),
	EV_CHILD_NOTIFY(IDOK, BN_CLICKED, 	CmOk),
END_RESPONSE_TABLE;

TConfigDialog::TConfigDialog(TWindow* parent, int resId, TConfigData* data)
:
	 TDialog(parent, resId)
{
	hotkeyActivation	=	new TCheckBox(this, 	IDC_CHECKHOTKEY);
	hotkeyValue			=	new THotKey(this,   	IDC_HOTKEY);
	clipChallege		=  new TCheckBox(this,  IDC_CLIPCHALLENGE);
	topmostWindow		=  new TCheckBox(this, 	IDC_TOPMOST);
	captionHeight    	=  new TEdit(this, 		IDC_CAPTIONHEIGHT, CAPTION_LEN);
	iconizeAfterUse	=	new TCheckBox(this, 	IDC_ICONIZE);
	sendToClipboard 	=  new TCheckBox(this, 	IDC_COPYTOCLIPBOARD);

	captionHeight->SetValidator(new TRangeValidator(30, 128));

	SetTransferBuffer(data);
}

void	TConfigDialog::SetupWindow()
{
	 TDialog::SetupWindow();
	 HandleHotkeyCB();
}

void    TConfigDialog::HandleHotkeyCB()
{
	bool	ActivationHotkey = bool(hotkeyActivation->GetCheck() == BF_CHECKED);

	hotkeyValue->EnableWindow(ActivationHotkey);
	clipChallege->EnableWindow(ActivationHotkey);
}

void	TConfigDialog::OnHelp()
{
	WinHelp(TWinPass::HelpName, HELP_CONTEXT, Menu_Configuration);
}

